> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/unreal-engine-versions.md).

# Unreal Engine 版本

Convai 虚幻引擎插件 <code class="expression">space.vars.unreal\_plugin\_version</code> 使用虚幻引擎 <code class="expression">space.vars.unreal\_min\_version</code> 作为文档中注明的最低引擎版本。插件清单为插件包声明了相同的运行时、编辑器、动画图和视觉模块。该 `ConvaiEditor` 窗口在 UE 5.0 和 5.1 中会自动禁用；在 UE 5.2 及更高版本中可用。

### 支持的版本

| UE 版本     | 运行时（`Convai`) | `ConvaiEditor` | `ConvaiAnimGraph` | `ConvaiVisionBase` |
| --------- | ------------- | -------------- | ----------------- | ------------------ |
| 5.0       | 支持            | 窗口不可用          | 支持                | 支持                 |
| 5.1       | 支持            | 窗口不可用          | 支持                | 支持                 |
| 5.2 及更高版本 | 支持            | 支持             | 支持                | 支持                 |

{% hint style="info" %}
该 `ConvaiEditor` 该窗口需要 UE 5.2 或更高版本。在 UE 5.0 和 5.1 中，编辑器模块会记录 `ConvaiEditor：编辑器 UI 已禁用 - 需要 UE 5.2 或更高版本` 并在启动时退出窗口设置流程。
{% endhint %}

### 模块加载阶段

该插件声明了四个模块。它们的加载阶段决定了它们在编辑器或游戏启动序列中何时激活。

| 模块                 | 类型             | 加载阶段             |
| ------------------ | -------------- | ---------------- |
| `Convai`           | `运行时`          | `PreDefault`     |
| `ConvaiEditor`     | `编辑器`          | `PostEngineInit` |
| `ConvaiAnimGraph`  | `UncookedOnly` | `默认值`            |
| `ConvaiVisionBase` | `运行时`          | `默认值`            |

`ConvaiAnimGraph` 为 `UncookedOnly`，这意味着它可用于编辑器阶段的动画图工作，但在打包构建中不应被视为运行时模块代码。

### 特定版本说明

#### UE 5.0 和 5.1

该 `ConvaiEditor` 这些版本中窗口不可用。请使用基于 Blueprint 的运行时设置和项目设置配置，而不是使用编辑器内的 Convai 窗口。

### 下一步

确认引擎版本后，请检查该插件支持哪些构建平台。

{% content-ref url="/pages/79f6f23bac71c8822aa787c002f3f94e5f1a95ee" %}
[Unreal Engine 平台支持矩阵](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/unreal-engine-platform-support-matrix.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/unreal-engine-versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
